commit:     f0685c528d2197174335be13b6892efb5865cf52
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 13 07:04:19 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jul 13 07:53:09 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f0685c52

dev-python/sqlalchemy: Clean python_test up

Remove meaningless code from python_test().

 dev-python/sqlalchemy/sqlalchemy-1.2.9.ebuild | 12 +-----------
 1 file changed, 1 insertion(+), 11 deletions(-)

diff --git a/dev-python/sqlalchemy/sqlalchemy-1.2.9.ebuild 
b/dev-python/sqlalchemy/sqlalchemy-1.2.9.ebuild
index fe9d6c4401d..4a8b2a2bac4 100644
--- a/dev-python/sqlalchemy/sqlalchemy-1.2.9.ebuild
+++ b/dev-python/sqlalchemy/sqlalchemy-1.2.9.ebuild
@@ -50,17 +50,7 @@ python_compile() {
 }
 
 python_test() {
-       # Create copies of necessary files in BUILD_DIR.
-       # https://bitbucket.org/zzzeek/sqlalchemy/issue/3144/
-       cp -pR examples sqla_nose.py setup.cfg test "${BUILD_DIR}" || die
-       pushd "${BUILD_DIR}" > /dev/null || die
-       if [[ "${EPYTHON}" == "python3.2" ]]; then
-               2to3 --no-diffs -w test || die
-       fi
-       # Recently upstream elected to make the testsuite also pytest capable
-       # "${PYTHON}" sqla_nose.py || die "Testsuite failed under ${EPYTHON}"
-       py.test --verbose test || die "Testsuite failed under ${EPYTHON}"
-       popd > /dev/null
+       pytest -vv test || die "Testsuite failed under ${EPYTHON}"
 }
 
 python_install_all() {

Reply via email to